## rsyslog 8.2110.0

=== debian/changelog ===
rsyslog (8.2110.0-4.0nosystemd1) nosystemd; urgency=medium

  * antiX nosystemd build 
  * include runit service files
  * make changes to post/pre scripts for runit and sysVinit

 -- anticapitalista <antix@operamail.com>  Tue, 07 Dec 2021 14:48:28 +0200

rsyslog (8.2110.0-4) unstable; urgency=medium

  * mmanon: relax IPv6 detection - improve anonymization (Closes: #1000335)

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Nov 2021 16:25:17 +0100

rsyslog (8.2110.0-3) unstable; urgency=medium

  * Enable pmciscoios parser module (Closes: #929608)
  * Enable pmnormalize parser module (Closes: #999450)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Nov 2021 14:46:15 +0100

rsyslog (8.2110.0-2) unstable; urgency=medium

  * Remove SysV init script

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Nov 2021 23:29:45 +0100

rsyslog (8.2110.0-1) unstable; urgency=medium

  * New upstream version 8.2110.0
  * Rebase patches
  * Mark iproute2 Build-Depends as linux-any
  * testbench: skip omfwd_fast_imuxsock.sh if liblogging-stdlog is not
    available

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Oct 2021 23:50:27 +0200

rsyslog (8.2108.0-2) unstable; urgency=medium

  * build issue: handle undefined MAXPATHLEN, PATH_MAX (Closes: #900718)
  * ratelimit: fix rate limiting for already parsed messages (Closes: #992869)
  * Remove outdated section from debian/copyright

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Oct 2021 16:13:50 +0200

rsyslog (8.2108.0-1) unstable; urgency=medium

  * New upstream version 8.2108.0
  * Bump Standards-Version to 4.6.0
  * Use fail-missing.
    Files we are not interested in are listed in debian/not-installed.
  * Use ${env:DEB_HOST_MULTIARCH} substitution.
    This facility is available since debhelper compat level 13.
  * Remove no longer needed debian/rsyslog.lintian-overrides

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Aug 2021 22:00:26 +0200

rsyslog (8.2106.0-1) unstable; urgency=medium

  * New upstream version 8.2106.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Aug 2021 19:41:55 +0200
