=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libhiredis-dev,
@@ -19,22 +17,21 @@
                libssl-dev,
                librelp-dev (>= 1.4.0),
                libestr-dev (>= 0.1.9),
+               liblognorm-dev (>= 2.0.3),
                libfastjson-dev (>= 0.99.8),
                libczmq-dev (>= 3.0.2),
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
                pkg-config,
                bison,
                flex,
                procps <!nocheck>,
                python3 <!nocheck>,
                libfaketime <!nocheck>,
-               systemd [linux-any] <!nocheck>,
                lsof [linux-any] <!nocheck>,
                logrotate <!nocheck>,
                iproute2 <!nocheck>,
                curl <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
 Vcs-Browser: https://salsa.debian.org/debian/rsyslog
@@ -50,16 +47,15 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
-         ucf
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
           rsyslog-mongodb,
           rsyslog-doc,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.8.96~2541-0ubuntu4~)
+          rsyslog-relp
+Breaks: runit-services-net-antix (<= 0.1.7)
+Replaces: runit-services-net-antix (<= 0.1.7)
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
