=== debian/watch ===
version=3
http://rsyslog.com/downloads/download-v8-stable/ .*/rsyslog-([\d\.]*)\.tar\.gz
