=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libhiredis-dev,
@@ -20,16 +22,19 @@
                liblognorm-dev (>= 2.0.3),
                libfastjson-dev (>= 0.99.8),
                libczmq-dev (>= 3.0.2),
+               libsnmp-dev,
                uuid-dev,
+               libsystemd-dev (>= 209) [linux-any],
                pkg-config,
                bison,
                flex,
                procps <!nocheck>,
                python3 <!nocheck>,
                libfaketime <!nocheck>,
+               systemd [linux-any] <!nocheck>,
                lsof [linux-any] <!nocheck>,
                logrotate <!nocheck>,
-               iproute2 <!nocheck>,
+               iproute2 [linux-any] <!nocheck>,
                curl <!nocheck>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
@@ -47,15 +52,16 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         adduser,
+         ucf
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
           rsyslog-mongodb,
           rsyslog-doc,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp
-Breaks: runit-services-net-antix (<= 0.1.7)
-Replaces: runit-services-net-antix (<= 0.1.7)
+          rsyslog-relp,
+          apparmor (>= 2.8.96~2541-0ubuntu4~)
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -196,3 +202,23 @@
  This plugin allows rsyslog to write syslog messages to Redis, a
  key-value database in a similar vein to memcache but the dataset
  is non-volatile.
+
+Package: rsyslog-snmp
+Architecture: any
+Priority: optional
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version})
+Description: SNMP protocol support for rsyslog
+ This plugins allows rsyslog to send syslog messages via SNMPv1 and SNMPv2c
+ traps. By default, SNMPv2c is preferred.
+
+Package: rsyslog-kubernetes
+Architecture: any
+Priority: optional
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version})
+Description: Kubernetes metadata support for rsyslog
+ This plugins allows rsyslog to augment syslog messages with Kubernetes
+ metadata.
