## rsyslog 8.2206.0

=== debian/changelog ===
rsyslog (8.2206.0-1.0nosystemd1) nosystemd; urgency=medium

  * nosystemd/elogind
  * added sysvinit init.d script 
  * include runit services

 -- anticapitalista <antix@operamail.com>  Sun, 03 Jul 2022 13:09:34 +0300

rsyslog (8.2206.0-1) unstable; urgency=medium

  * New upstream version 8.2206.0
  * Switch from libcurl4-gnutls-dev to libcurl4-openssl-dev

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Jun 2022 21:46:56 +0200

rsyslog (8.2204.1-1) unstable; urgency=medium

  * New upstream version 8.2204.1
    - Fix potential heap buffer overflow in imptcp, imtcp, imgssapi and other
      TCP syslog reception modules when octet-counted framing is used.
      (CVE-2022-24903, Closes: #1010619)

 -- Michael Biebl <biebl@debian.org>  Mon, 09 May 2022 15:44:08 +0200

rsyslog (8.2204.0-1) unstable; urgency=medium

  * New upstream version 8.2204.0

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Apr 2022 20:26:20 +0200

rsyslog (8.2202.0-1) unstable; urgency=medium

  * New upstream version 8.2202.0
  * Update debian/watch to version 4
  * Tweak long description for rsyslog-openssl and rsyslog-gnutls
  * Don't install empty usr/share/man/man1 directory

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Feb 2022 09:40:07 +0100
