=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libhiredis-dev,
                default-libmysqlclient-dev,
                libpq-dev,
                libmongoc-dev,
-               libcurl4-gnutls-dev,
+               libcurl4-openssl-dev,
                librdkafka-dev (>= 0.9.1),
                libkrb5-dev,
                libgnutls28-dev,
@@ -24,14 +22,12 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
                pkg-config,
                bison,
                flex,
                procps <!nocheck>,
                python3 <!nocheck>,
                libfaketime <!nocheck>,
-               systemd [linux-any] <!nocheck>,
                lsof [linux-any] <!nocheck>,
                logrotate <!nocheck>,
                iproute2 [linux-any] <!nocheck>,
@@ -52,16 +48,15 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
-         ucf
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
           rsyslog-mongodb,
           rsyslog-doc,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.8.96~2541-0ubuntu4~)
+          rsyslog-relp
+Breaks: runit-services-net-antix (<= 0.1.7)
+Replaces: runit-services-net-antix (<= 0.1.7)
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -159,7 +154,7 @@
 Suggests: gnutls-bin
 Description: TLS protocol support for rsyslog (GnuTLS)
  This netstream plugin allows rsyslog to send and receive encrypted syslog
- messages via the syslog-transport-tls IETF standard protocol.
+ messages via the syslog-transport-tls IETF standard protocol using GnuTLS.
 
 Package: rsyslog-openssl
 Architecture: any
@@ -169,7 +164,7 @@
          rsyslog (= ${binary:Version})
 Description: TLS protocol support for rsyslog (OpenSSL)
  This netstream plugin allows rsyslog to send and receive encrypted syslog
- messages via the syslog-transport-tls IETF standard protocol.
+ messages via the syslog-transport-tls IETF standard protocol using OpenSSL.
 
 Package: rsyslog-relp
 Architecture: any
