=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 		--enable-gnutls \
 		--enable-openssl \
 		--enable-relp \
+		--enable-snmp \
 		--enable-pmaixforwardedfrom \
 		--enable-pmciscoios \
 		--enable-pmcisconames \
@@ -52,6 +53,7 @@
 		--enable-mmsequence \
 		--enable-mmfields \
 		--enable-mmrm1stspace \
+		--enable-mmkubernetes \
 		--enable-imczmq \
 		--enable-omczmq \
 		--enable-omhiredis \
