=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,17 @@
 
 export PYTHON=/usr/bin/python3
 
+# the default LDFLAGS="-Wl,-Bsymbolic-functions" caused rsyslog to
+# segfault on receipt of first message (see LP: #794230)
+export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+
 %:
 	dh $@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
-		--disable-imjournal \
-		--disable-omjournal \
+		--enable-imjournal \
+		--enable-omjournal \
 		--enable-kmsg
 endif
 
@@ -40,13 +44,11 @@
 		--enable-pmciscoios \
 		--enable-pmcisconames \
 		--enable-pmlastmsg \
-		--enable-pmnormalize \
 		--enable-pmsnare \
 		--enable-omstdout \
 		--enable-omprog \
 		--enable-omuxsock \
 		--enable-mmanon \
-		--enable-mmnormalize \
 		--enable-mmjsonparse \
 		--enable-mmutf8fix \
 		--enable-mmpstrucdata \
@@ -58,13 +60,16 @@
 		--enable-omczmq \
 		--enable-omhiredis \
 		--enable-fmhash \
+		--enable-testbench \
+		--enable-extended-tests \
+		--enable-imdiag \
+		--enable-libzstd \
 		--disable-libgcrypt \
-		--disable-testbench \
-		--enable-imdiag \
 		--disable-generate-man-pages \
 		--disable-fmhttp \
 		--disable-liblogging-stdlog \
-		--without-valgrind-testbench 
+		--without-valgrind-testbench \
+		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_install:
 	dh_auto_install
@@ -77,10 +82,11 @@
 	find debian/tmp -name '*.la' -print -delete
 	dh_install
 
-override_dh_missing:
-	dh_missing --list-missing
+override_dh_installinit:
+	dh_apparmor --profile-name=usr.sbin.rsyslogd -prsyslog
+	dh_installinit
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	dh_auto_test --no-parallel || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
+	dh_auto_test || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
 endif
