## rsyslog 8.2210.0

=== debian/changelog ===
rsyslog (8.2210.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Thu, 20 Oct 2022 15:52:24 +0300

rsyslog (8.2210.0-1) unstable; urgency=medium

  * New upstream version 8.2210.0
  * Demote priority to optional as per #1018788

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Oct 2022 11:00:47 +0200
