=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: rsyslog
 Section: admin
-Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Priority: optional
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libzstd-dev (>= 1.4.0),
@@ -25,14 +23,12 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
                pkg-config,
                bison,
                flex,
                procps <!nocheck>,
                python3 <!nocheck>,
                libfaketime <!nocheck>,
-               systemd [linux-any] <!nocheck>,
                lsof [linux-any] <!nocheck>,
                logrotate <!nocheck>,
                iproute2 [linux-any] <!nocheck>,
@@ -45,7 +41,6 @@
 
 Package: rsyslog
 Architecture: any
-Priority: important
 Conflicts: system-log-daemon,
            linux-kernel-log-daemon
 Provides: system-log-daemon,
@@ -53,16 +48,15 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
-         ucf
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
           rsyslog-mongodb,
           rsyslog-doc,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.8.96~2541-0ubuntu4~)
+          rsyslog-relp
+Breaks: runit-services-net-antix (<= 0.1.7)
+Replaces: runit-services-net-antix (<= 0.1.7)
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -81,7 +75,6 @@
 
 Package: rsyslog-mysql
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
@@ -94,7 +87,6 @@
 
 Package: rsyslog-pgsql
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
@@ -108,7 +100,6 @@
 
 Package: rsyslog-mongodb
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
@@ -119,7 +110,6 @@
 
 Package: rsyslog-elasticsearch
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
@@ -130,7 +120,6 @@
 
 Package: rsyslog-kafka
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
@@ -141,7 +130,6 @@
 
 Package: rsyslog-gssapi
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
@@ -153,7 +141,6 @@
 
 Package: rsyslog-gnutls
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
@@ -164,7 +151,6 @@
 
 Package: rsyslog-openssl
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
@@ -174,7 +160,6 @@
 
 Package: rsyslog-relp
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
@@ -185,7 +170,6 @@
 
 Package: rsyslog-czmq
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
@@ -195,7 +179,6 @@
 
 Package: rsyslog-hiredis
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
@@ -206,7 +189,6 @@
 
 Package: rsyslog-snmp
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
@@ -216,7 +198,6 @@
 
 Package: rsyslog-kubernetes
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
